version: '3.5'
services:
  elasticsearch:
    image: elasticsearch:7.3.1
    volumes:
      - gm-esdata:/usr/share/elasticsearch/data
    hostname: elasticsearch
    network_mode: 'host'
    environment:
      - "ES_JAVA_OPTS=-Xms4g -Xmx4g"
      - discovery.type=single-node
      - xpack.security.enabled=false
    restart: always
    ulimits:
      memlock:
        soft: -1
        hard: -1
      nofile:
        soft: 65536
        hard: 65536
    mem_limit: 4g